> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces

> Returns all workspaces the authenticated user is a member of, across all organizations.



## OpenAPI

````yaml get /workspace/all
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /workspace/all:
    get:
      tags:
        - Workspaces
      summary: List workspaces
      description: >-
        Returns all workspaces the authenticated user is a member of, across all
        organizations.
      operationId: getAllUserWorkspaces
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        isDefault:
                          type: boolean
                          example: false
                        isShared:
                          type: boolean
                          example: false
                        organizationId:
                          type: string
                        ownerId:
                          type: string
                        collaborators:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                type: string
                              role:
                                type: string
                                enum:
                                  - owner
                                  - admin
                                  - member
                                  - editor
                                  - viewer
                            required:
                              - userId
                              - role
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - _id
                        - name
                        - isDefault
                        - isShared
                        - organizationId
                        - ownerId
                        - collaborators
                        - createdAt
                        - updatedAt
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````